Name:          giggle
Version:       0.7
Release:       19%{?dist}
Summary:       A Gtk frontend to git

Group:         Development/Tools
License:       GPLv2+
URL:           http://live.gnome.org/giggle
Source0:       http://ftp.gnome.org/pub/GNOME/sources/giggle/0.6/%{name}-%{version}.tar.xz
Patch0:        giggle-0.7-gtksourceview.patch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: intltool
BuildRequires: gettext
BuildRequires: gtksourceview3-devel
BuildRequires: glib2-devel
BuildRequires: gtk3-devel
BuildRequires: desktop-file-utils
BuildRequires: git-core
BuildRequires: evolution-data-server-devel
BuildRequires: vte3-devel
BuildRequires: gnome-common
BuildRequires: itstool
BuildRequires: yelp-tools

Requires:      git-core


%description
Giggle is a graphical frontend for the git directory tracker (think of gitk on
GTK+).

%package devel
Summary:	Headers for Giggle plugin development
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Headers for developing plugins for Giggle.

%prep
%setup -q

%patch0 -p0

%build

%configure --enable-static=no
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
#libpng15, not libpng12.
find -name 'Makefile' | xargs sed -i s/libpng12/libpng15/g

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

desktop-file-install \
  --delete-original                                        \
  --dir=%{buildroot}%{_datadir}/applications               \
  %{buildroot}%{_datadir}/applications/giggle.desktop

# Register as an application to be visible in the software center
#
# NOTE: It would be *awesome* if this file was maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Richard Hughes <richard@hughsie.com> -->
<!--
UpstreamURL:  https://git.gnome.org/browse/giggle/tree/data/giggle.appdata.xml
-->
<application>
  <id type="desktop">giggle.desktop</id>
  <licence>CC0-1.0</licence>
  <description>
    <p>
      Giggle is a graphical frontend for the git directory tracker.
    </p>
    <p>
      It currently features a history viewer much like gitk and a commit GUI like git gui.
    </p>
  </description>
  <screenshots>
    <screenshot type="default" width="1034" height="742">https://wiki.gnome.org/Apps/giggle?action=AttachFile&amp;do=get&amp;target=giggle-history.png</screenshot>
  </screenshots>
  <url type="homepage">https://wiki.gnome.org/Apps/giggle</url>
  <updatecontact>jjardon_at_gnome.org</updatecontact>
</application>
EOF

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README

%{_bindir}/giggle
%{_libdir}/*.so.*
%{_libdir}/giggle/plugins/%{version}/*.so*
%{_libdir}/giggle/plugins/%{version}/*.xml

%dir %{_datadir}/giggle
%dir %{_datadir}/giggle/glade

%{_datadir}/giggle/glade/main-window.ui
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/giggle.desktop

%{_datadir}/icons/hicolor/16x16/apps/*.png
%{_datadir}/icons/hicolor/22x22/apps/*.png
%{_datadir}/icons/hicolor/24x24/apps/*.png
%{_datadir}/icons/hicolor/32x32/apps/*.png
%{_datadir}/icons/hicolor/48x48/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg

%doc %{_datadir}/help/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/giggle/
%{_libdir}/*.so

%changelog
* Wed Jul 22 2015 Milan Crha <mcrha@redhat.com> - 0.7-19
- Rebuild for newer evolution-data-server

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Apr 28 2015 Milan Crha <mcrha@redhat.com> - 0.7-17
- Rebuild for newer evolution-data-server

* Thu Mar 26 2015 Richard Hughes <rhughes@redhat.com> - 0.7-16
- Add an AppData file for the software center

* Tue Feb 17 2015 Milan Crha <mcrha@redhat.com> - 0.7-15
- Rebuild for new gnome-evolution-data-server.

* Tue Sep 23 2014 Jon Ciesla <limburgher@gmail.com> - 0.7-14
- Rebuild for new libcamel.

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 31 2014 Jon Ciesla <limburgher@gmail.com> - 0.7-12
- Rebuild for new gnome-evolution-data-server.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Feb 04 2014 Jon Ciesla <limburgher@gmail.com> - 0.7-10
- Rebuild for new libcamel.

* Tue Jan 14 2014 Jon Ciesla <limburgher@gmail.com> - 0.7-9
- Rebuild for new libcamel.

* Tue Nov 19 2013 Jon Ciesla <limburgher@gmail.com> - 0.7-8
- Rebuild for new libcamel.

* Wed Oct 23 2013 Jon Ciesla <limburgher@gmail.com> - 0.7-7
- Rebuild for new libcamel.

* Mon Aug 19 2013 Jon Ciesla <limburgher@gmail.com> - 0.7-6
- Rebuild for new libedata-book.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 08 2013 Jon Ciesla <limburgher@gmail.com> - 0.7-4
- Rebuild for new libcamel.

* Tue Apr 30 2013 Jon Ciesla <limburgher@gmail.com> - 0.7-3
- Rebuild for new libedata-book.

* Tue Mar 26 2013 Kalev Lember <kalevlember@gmail.com> - 0.7-2
- Rebuilt for gtksourceview3 soname bump

* Mon Feb 11 2013 Jon Ciesla <limburgher@gmail.com> - 0.7-1
- 0.7 final.
- Drop desktop vendor tag.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-0.201201025git518c6e3587c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jan 24 2012 Jon Ciesla <limburgher@gmail.com> - 0.7-0.201201024git518c6e3587c
- New upstream snapshot, fixes FTBFS.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Oct 24 2011 Tomas Bzatek <tbzatek@redhat.com> - 0.6.1-1
- Update to 0.6.1

* Tue Aug 30 2011 Tomas Bzatek <tbzatek@redhat.com> - 0.5-10
- Rebuilt for new libcamel

* Thu Aug 25 2011 Tomas Bzatek <tbzatek@redhat.com> - 0.5-9
- Rebuilt for new libcamel

* Wed Jul 27 2011 James Bowes <jbowes@redhat.com> 0.5-8
- Another rebuild

* Tue Jul 19 2011 Tomas Bzatek <tbzatek@redhat.com> - 0.5-7
- Rebuilt for new libcamel

* Thu Jun 16 2011 Tomas Bzatek <tbzatek@redhat.com> - 0.5-6
- Another rebuild

* Fri May 20 2011 Kalev Lember <kalev@smartlink.ee> - 0.5-5
- Rebuilt for libcamel soname bump

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jun 28 2010 Caolán McNamara <caolanm@redhat.com> 0.5-3
- bump for dependencies

* Fri Jun 11 2010 Mike McGrath <mmcgrath@redhat.com> 0.5-2
- Release bump for rebuild to fix broken libedataserver dep

* Wed May 05 2010 James Bowes <jbowes@redhat.com> 0.5-1
- Update to 0.5

* Fri Feb 12 2010 Tomas Bzatek <tbzatek@redhat.com> - 0.4.96-1
- Update to 0.4.96

* Tue Aug 11 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.4.91-3
- Use bzipped upstream tarball.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.91-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Apr 10 2009 Lennart Poettering <lpoetter@redhat.com> - 0.4.91-1 
- Update to 0.4.91

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.90-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 13 2009 Lennart Poettering <lpoetter@redhat.com> - 0.4.90-2
- Add missing dep

* Fri Feb 13 2009 Lennart Poettering <lpoetter@redhat.com> - 0.4.90-1
- Update to 0.4.90

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4-2
- Autorebuild for GCC 4.3

* Wed Dec 12 2007 James Bowes <jbowes@redhat.com> - 0.4-1
- Update to 0.4

* Sun Oct 14 2007 James Bowes <jbowes@redhat.com> 0.3-5
- Update gtksourceview2 patch to build against current code.

* Thu Aug 23 2007 James Bowes <jbowes@redhat.com> - 0.3-4
- Add BR for gtksourceview2-devel

* Thu Aug 23 2007 James Bowes <jbowes@redhat.com> - 0.3-3
- Mark license as GPLv2+

* Fri Jul  6 2007 Jeremy Katz <katzj@redhat.com> - 0.3-2
- fix to build against gtksourceview2

* Wed May 09 2007 James Bowes <jbowes@redhat.com> - 0.3-1
- Update to 0.3

* Thu Mar 29 2007 James Bowes <jbowes@redhat.com> - 0.2-2
- Add buildrequires for git-core

* Thu Mar 29 2007 James Bowes <jbowes@redhat.com> - 0.2-1
- Update to 0.2

* Sat Mar 17 2007 James Bowes <jbowes@redhat.com> - 0.1-3
- Minor specfile fixes from the initial review.

* Fri Mar 09 2007 James Bowes <jbowes@redhat.com> - 0.1-2
- Use desktop-file-install for the desktop file.

* Wed Mar 07 2007 James Bowes <jbowes@redhat.com> - 0.1-1
- Initial packaging.
